<template> 
  <div class="center-wrapper"> 
    <section class="main-wrapper"> 
      <div class="main-content"> 
        <div class="column"> 
          <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/4d87686dd4cb24f7216c92037326078484e62a5a36b4dc6f58bff071f689c3d8?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="responsive-img" /> 
        </div> 
        <div class="form-wrapper"> 
          <article class="form-container"> 
            <header class="headline">FASCO</header> 
            <h2 class="form-title">Create Account</h2> 
            <div class="social-signup"> 
              <div class="social-button"> 
                <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/5bf3afc23d9ab62319a676aa1df50e81a4a5a1d91e38f66f64d7f53ee6d48853?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="social-icon" /> 
                <div class="social-text">Sign up with Google</div> 
              </div> 
              <div class="social-button"> 
                <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/69027497b2020345eab64ce5a68301d307d8b7a83799173a00a30d0ab646c7cc?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="social-icon" /> 
                <div class="social-text">Sign up with Email</div> 
              </div> 
            </div> 
            <div class="or-divider"> 
              <div class="divider-line"></div> 
              <div class="or-text">OR</div> 
              <div class="divider-line"></div> 
            </div> 
            <form class="signup-form"> 
              <div class="input-group"> 
                <label for="firstName" class="visually-hidden">First Name</label> 
                <input type="text" id="firstName" class="input-field" placeholder="First Name" aria-label="First Name" /> 
              </div> 
              <div class="input-group"> 
                <label for="lastName" class="visually-hidden">Last Name</label> 
                <input type="text" id="lastName" class="input-field" placeholder="Last Name" aria-label="Last Name" /> 
              </div> 
              <div class="input-group"> 
                <label for="email" class="visually-hidden">Email Address</label> 
                <input type="email" id="email" class="input-field" placeholder="Email Address" aria-label="Email Address" /> 
              </div> 
              <div class="input-group"> 
                <label for="phone" class="visually-hidden">Phone Number</label> 
                <input type="tel" id="phone" class="input-field" placeholder="Phone Number" aria-label="Phone Number" /> 
              </div> 
              <div class="input-group"> 
                <label for="password" class="visually-hidden">Password</label> 
                <input type="password" id="password" class="input-field" placeholder="Password" aria-label="Password" /> 
              </div> 
              <div class="input-group"> 
                <label for="confirmPassword" class="visually-hidden">Confirm Password</label> 
                <input type="password" id="confirmPassword" class="input-field" placeholder="Confirm Password" aria-label="Confirm Password" /> 
              </div> 
              <button class="submit-button" type="submit">Create Account</button> 
            </form> 
            <div class="login-prompt"> 
              <span class="login-text">Already have an account?</span> 
              <span class="login-link">Login</span> 
            </div> 
            <footer class="terms-text">FASCO Terms & Conditions</footer> 
          </article> 
        </div> 
      </div> 
    </section> 
  </div> 
</template> 

<style scoped>
.center-wrapper {
  justify-content: center;
  align-items: center;
  background-color: #fff;
  display: flex;
  padding: 80px 60px;
}
@media (max-width: 991px) {
  .center-wrapper {
    padding: 0 20px;
  }
}
.main-wrapper {
  border: 1px solid rgba(219, 219, 219, 1);
  background-color: #fff;
  margin-top: 43px;
  width: 100%;
  max-width: 1920px;
  padding: 2px 0;
}
@media (max-width: 991px) {
  .main-wrapper {
    max-width: 100%;
    margin-top: 40px;
  }
}
.main-content {
  gap: 20px;
  display: flex;
}
@media (max-width: 991px) {
  .main-content {
    flex-direction: column;
    align-items: stretch;
    gap: 0;
  }
}
.column {
  display: flex;
  flex-direction: column;
  width: 50%;
}
@media (max-width: 991px) {
  .column {
    width: 100%;
  }
}
.responsive-img {
  aspect-ratio: 0.88;
  object-fit: auto;
  width: 100%;
}
@media (max-width: 991px) {
  .responsive-img {
    margin-top: 40px;
  }
}
.form-wrapper {
  display: flex;
  flex-direction: column;
  width: 50%;
  margin-left: 20px;
}
@media (max-width: 991px) {
  .form-wrapper {
    width: 100%;
  }
}
.form-container {
  display: flex;
  flex-direction: column;
  margin-top: 99px;
  font-size: 16px;
  font-weight: 400;
  line-height: 250%;
}
@media (max-width: 991px) {
  .form-container {
    margin-top: 40px;
  }
}
.headline {
  color: #484848;
  font: 67px/100% Volkhov, sans-serif;
}
@media (max-width: 991px) {
  .headline {
    font-size: 40px;
  }
}
.form-title {
  color: #000;
  margin-top: 102px;
  font: 30px/133% Volkhov, sans-serif;
}
@media (max-width: 991px) {
  .form-title {
    margin-top: 40px;
  }
}
.social-signup {
  display: flex;
  margin-top: 39px;
  width: 100%;
  gap: 20px;
  color: #000;
  letter-spacing: 1.28px;
}
@media (max-width: 991px) {
  .social-signup {
    flex-wrap: wrap;
  }
}
.social-button {
  border-radius: 8px;
  border: 1px solid rgba(91, 134, 229, 1);
  background-color: #fff;
  display: flex;
  gap: 13px;
  flex-grow: 1;
  padding: 10px 45px;
}
@media (max-width: 991px) {
  .social-button {
    padding: 0 20px;
  }
}
.social-icon {
  aspect-ratio: 1;
  object-fit: auto;
  width: 36px;
}
.social-text {
  font-family: Poppins, sans-serif;
  flex-grow: 1;
  margin: auto 0;
}
.or-divider {
  align-self: center;
  display: flex;
  margin-top: 94px;
  align-items: center;
  gap: 11px;
  font-size: 30px;
  color: #838383;
  font-weight: 700;
  letter-spacing: 2.4px;
  line-height: 133%;
  padding: 0 2px;
}
@media (max-width: 991px) {
  .or-divider {
    margin-top: 40px;
  }
}
.divider-line {
  background-color: #838383;
  width: 30px;
  height: 5px;
}
.or-text {
  font-family: Poppins, sans-serif;
}
.signup-form {
  display: flex;
  flex-direction: column;
  margin-top: 90px;
  gap: 18px;
  color: #9d9d9d;
  letter-spacing: 1.28px;
}
@media (max-width: 991px) {
  .signup-form {
    margin-top: 40px;
    flex-wrap: wrap;
  }
}
.input-group {
  display: flex;
  flex-direction: column;
  flex: 1;
}
.input-field {
  border: 1px solid rgba(157, 157, 157, 1);
  background-color: #9d9d9d;
  margin-top: 20px;
  height: 1px;
}
.submit-button {
  font-family: Poppins, sans-serif;
  border-radius: 10px;
  box-shadow: 0px 20px 35px 0px rgba(0, 0, 0, 0.15);
  background-color: #000;
  align-items: center;
  color: #fff;
  font-weight: 600;
  letter-spacing: 1.28px;
  justify-content: center;
  padding: 25px 60px;
  margin-top: 44px;
}
@media (max-width: 991px) {
  .submit-button {
    padding: 0 20px;
  }
}
.login-prompt {
  align-self: center;
  margin-top: 33px;
  color: #5b86e5;
  font-family: Telegraf, sans-serif;
  line-height: 40px;
  letter-spacing: 1.28px;
}
.login-text {
  font-family: Poppins, -apple-system, Roboto, Helvetica, sans-serif;
}
.login-link {
  font-family: Poppins, -apple-system, Roboto, Helvetica, sans-serif;
  color: rgba(91, 134, 229, 1);
}
.terms-text {
  color: #000;
  font-family: Poppins, sans-serif;
  align-self: end;
  margin-top: 114px;
}
@media (max-width: 991px) {
  .terms-text {
    margin-top: 40px;
  }
}
.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}
</style>